org.eclipse.emf.facet.custom.core

## Interface ICustomizationManagerFactory

    public interface ICustomizationManagerFactory

Used to instantiate a customization manager

Since:
  0.2
Author:
  Gregoire Dupe
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICustomizationManagerFactory` `DEFAULT` Default factory instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizationManager` `createICustomizationManager(IFacetManager facetManager)`
`ICustomizationManager` `getOrCreateICustomizationManager(ResourceSet resourceSet)` This method is used to instantiate a customization manager

### Field Detail

#### DEFAULT

    static final ICustomizationManagerFactory DEFAULT

Default factory instance.

### Method Detail

#### getOrCreateICustomizationManager

    ICustomizationManager getOrCreateICustomizationManager(ResourceSet resourceSet)

This method is used to instantiate a customization manager

Parameters:
  `resourceSet` - the resource set to use to manage the customization models.
Returns:

#### createICustomizationManager

    ICustomizationManager createICustomizationManager(IFacetManager facetManager)

Parameters:
  `facetManager` -
Returns:
Since:
  0.2